1 Reply Latest reply: Feb 28, 2012 5:12 PM by Sanne Grinovero RSS

Jars needed

craig bomba Novice

Are there any release notes that indicate jars needed/required when moving from release to release and/or when using certain Infinispan features (Lucene Query for example)?

 

We recently attempted to move from 4.2.0.FINAL to 5.0.0.FINAL and ran into an issue with StateTransfer.  At a similar time we also were developing some Lucene Query functionality.  We had to back off on the Lucene work due to the issues with the 5.0.0.FINAL StateTransfer.

 

Now that we are resurecting the Lucene work, wondering about jar dependencies.

 

Thanks

  • 1. Re: Jars needed
    Sanne Grinovero Master

    Hi,

    latest 5.1.x Infinispan releases depend on:

    - Hibernate Search 4.1.x (4.1.0.Beta1 is the latest, CR1 is coming soon)

    - Apache Lucene 3.5.0

     

    Infinispan 5.0.x was using:

    - Hibernate Search 3.4.x

    - Apache Lucene 3.3.0

     

    I guess you're not using Maven ?

    It's easy to have Maven tell you about the dependencies by running "mvn dependency:tree"

     

    If you want to avoid Maven, it's always safe to look into the pom.xml files in the source tree, as they define the versions we use to build and test it.

    Also if you download the Infinispan distribution from http://www.jboss.org/infinispan/downloads the big zip files contain all the jars we used for testing.